Plugin Name: WP Smush Pro
Author: WPMU DEV
Tested up to: 5.5

Change Log:
----------------------------------------------------------------------
----------------------------------------------------------------------

= 3.7.1 =

- New: Tutorials sections
- Enhance: Update the modal that displays the highlights of this release
- Enhance: Compatibility with NextGen
- Enhance: Compatibility with SVG images
- Fix: Image resize detection styles
- Fix: Tracking option on network subsites
- Fix: Lazy load placeholder background colors
- Fix: Lazy load custom placeholders on network installs
- Fix: Jetpack CDN compatibility
- Fix: Notice on CDN page

= 3.7.0 =

- New: Option to disable noscript in lazy load
- New: WordPress 5.5 lazy load compatibility
- New: Integration with Translate Press
- New: WP_SMUSH_CDN_DELAY_SRCSET constant to delay wp_calculate_image_srcset filter
- New: WP_SMUSH_ASYNC_LAZY constant to utilize async loading for lazy load scripts
- Enhance: Compatibility with S3-Uploads plugin
- Enhance: Disable CDN and lazy load modules on customizer pages
- Enhance: CDN parsing of background images
- Enhance: Allow directory Smush in site directories
- Enhance: Improve wording in directory Smush notices
- Enhance: Async load lazy load scripts
- Fix: Image resize detection styles
- Fix: Fix errors detecting mime type of remote streams
- Fix: Lazy loading integration with fusion galleries (Avada)
- Fix: Lazy loading not working with images that have GET parameters
- Fix: Lazy loading placeholders not visible on some themes
- Fix: CDN background images not working with images that have GET parameters
- Fix: CDN usage of content_width global
- Fix: Skip iframes with invalid URLs from lazy loading
- Fix: W3C validation warnings with CDN
- Fix: Compatibility with Vimeography plugin
- Fix: Soliloquy slider images' incorrect source
- Fix: Soliloquy navigation misalignment when lazy loading
- Fix: Smush page in NextGen Gallery plugin looking unstyled

= 3.6.3 =

- Fix: CDN auto resize option causing issues with images

= 3.6.2 =

- New: CDN and lazy load integration with Soliloquy slider
- Enhance: Native lazy loading disabled by default, added option to enable it
- Enhance: Lazy load and CDN page parsing
- Enhance: Summary module layout
- Enhance: Image resize detection highlighting
- Fix: Images with relative paths not processing by CDN
- Fix: Object cache not clearing out stats during Re-Check Images action
- Fix: Pages with lazy loading showing errors during W3C validation
- Fix: Multiple noscript tags when lazy loading duplicate images
- Fix: NextGen Re-Smush UI
- Fix: Image resize settings not respecting the largest dimension

= 3.6.1 =

- Enhance: Directory Smush image processing
- Enhance: CDN background image processing performance
- Fix: Lazy loading breaking visual editors (Oxygen, Thrive Architect, Tatsu)
- Fix: WooCommerce breaking Smush onboarding dialog
- Fix: CDN processing of background images with spaces
- Fix: REST API errors

= 3.6.0 =

- New: CDN support for images in REST API responses
- New: Media library filter to show uncompressed images
- New: Native lazy loading support
- Enhance: Image resize detection functionality
- Enhance: Allow excluding images from lazy loading with data-skip-lazy attribute
- Enhance: Improve restore backup UI
- Enhance: Bulk smush UI
- Fix: NextGEN Gallery integration
- Fix: Error detecting language error on Settings page
- Fix: "Choose directory" button disabled state after first click
- Fix: Some notices not being dismissible
- Fix: Image restore

= 3.5.1 =

- Fix: Browser console errors on pages without Backbone js scripts
- Fix: Lazy load compatibility with Beaver Builder
- Fix: Lazy load breaking videos

= 3.5.0 =

- New: Add custom post types to include/exclude filters in the lazy load module
- New: CDN support for source in the picture element
- New: Lazy loading for WebP images
- New: Lazy loading support for picture element
- Enhance: Page parsing performance
- Enhance: Media library UI
- Enhance: CDN compatibility with empty srcset and sizes image attributes
- Enhance: CDN support for background images
- Enhance: Lazy load compatibility with Envira Gallery plugin
- Enhance: Plugins page links
- Fix: CDN not detecting background images surrounded by HTML entities
- Fix: CDN not replacing srcset in some cases
- Fix: Lazy load Gravatars
- Fix: WPBakery Page Builder integration
- Fix: Typos in the lazy load module

= 3.4.2 =

- Enhance: Security
- Fix: Fatal error on WordPress 4.x
- Fix: Compatibility issue with ReCaptcha and lazy loading

= 3.4.1 =

- Fix: Upgrade from Free to Pro causing an error

= 3.4.0 =

- New: Option to ignore images from Smushing
- New: CDN support for picture element
- New: Lazy load for iframes
- New: Lazy load compatibility with Block Gallery plugin
- New: Lazy load compatibility with CoBlocks plugin
- New: smush_cdn_custom_uploads_dir filter for use with custom upload directories in CDN
- New: CDN support for images in data-original attribute
- Enhance: Compatibility with WP Engine
- Enhance: CDN support for custom UPLOADS directories
- Enhance: Max width detection with CDN auto-resize functionality
- Enhance: Lazy loading image format detection
- Enhance: Lazy loading compatibility with AMP
- Enhance: Lazy loading compatibility with Essential Grid
- Enhance: Lazy loading compatibility with JetPack
- Enhance: Integration settings pages UI, summary meta box UI
- Enhance: Significantly increase performance on sites with large media libraries
- Enhance: Support for WordPress 4.x
- Enhance: Compatibility with Oxygen Builder
- Enhance: Accessibility in modals
- Fix: Undefined index PHP notices
- Fix: Lazy loading not properly working on Bootstrap based themes
- Fix: Lazy loading exclusion rules not working with active CDN
- Fix: Failed parsing srcset attribute value since its w descriptor is invalid warnings
- Fix: PHP warnings for getimagesize() disabled wrapper
- Fix: UI conflict with Store Locator Plus plugin
- Fix: CDN incorrectly resizing cropped images
- Fix: Directory Smush permissions
- Fix: NextGen gallery bulk Smush functionality
- Fix: Network access control settings
- Fix: Resize threshold not resetting when auto-resize is disabled

= 3.3.2 =

- New: Support for big images in WordPress 5.3
- Fix: WP Offload Media integration with Pro version

= 3.3.1 =

- Fix: CDN incorrect calculation for image sizes attribute
- Fix: Undefined index PHP notices

= 3.3.0 =

- New: Integration with Envira Gallery
- New: Integration with Avada Fusion Builder background images
- Enhance: Compatibility with staging environment on WPMU DEV hosting
- Enhance: SmartCrawl readability analysis compatibility
- Enhance: Allow optimizing directories in root folder
- Enhance: Error descriptions during optimization
- Enhance: Detection of image sizes when "All" option is selected in Bulk Smush settings
- Enhance: CDN detection of background images
- Fix: Issue with CDN auto resize and Revolution Slider
- Fix: CDN auto resize feature overwriting the correct sizes attribute
- Fix: NextGen summary meta box layout
- Fix: PHP warnings on NextGen integration
- Fix: UI layout in NextGen integration
- Fix: Lazy loading spinner layout issue
- Fix: Compatibility with RT Media

= 3.2.4 =

- Enhance: Minor user experience improvements and updates
- Fix: Bulk Smush notices and errors

= 3.2.3 =

- New: Pro page to highlight Smush Pro features
- Enhance: Minor user experience improvements and updates
- Enhance: CDN activation process
- Fix: CDN upgrade status issue
- Fix: Remove auto sizing in lazy loading
- Fix: Images with empty class not lazy loading
- Fix: Lazy loading not working on front page when a static page is selected as a homepage

= 3.2.2.1 =

- Fix: Preserve network settings after update

= 3.2.2 =

- New: Bulk restore
- New: Network access control settings
- New: Lazy loading onboarding step
- New: Lazy loading custom placeholders
- New: Lazy loading custom spinners
- New: CDN support for background images
- Enhance: Lazy loading support for ACF
- Enhance: Lazy loading page parser
- Enhance: Do not allow enabling CDN for sites that are not registered on the Hub
- Enhance: Bulk compressing images without proper meta data
- Enhance: Do not lazy load images on AMP pages
- Enhance: Translation strings
- Enhance: UI in media library
- Enhance: API calls
- Fix: Plugin texts
- Fix: PHP warning when Smush is not able to detect site language
- Fix: Excluding frontpage post type from lazy loading
- Fix: Missing icons in resize my full size images notice
- Fix: Inability to resize full size images several times
- Fix: Image count calculations during images re-check
- Fix: Directory Smush on SiteGround, GoDaddy and Bluehost

= 3.2.1 =

- New: Increase image size limit in free version from 1Mb to 5Mb
- New: Image sizes option
- New: Integration with WPBakery Page Builder
- Enhance: Move Image resize detection to the new Tools section
- Enhance: Add upgrade link to bulk smush limit message
- Enhance: Directory Smush async mode
- Enhance: Regex syntax for detecting images in content
- Enhance: Smush CDN support for 3rd party lazy loading plugins
- Enhance: Smush CDN UI
- Enhance: Smush CLI error handling
- Enhance: Update API status button functionality
- Enhance: Filter to skip image from lazy loading
- Enhance: Support for Revolution Slider
- Enhance: Notices when bulk limit is reached
- Enhance: Support for jQuery 2.x-3.x
- Fix: Errors with WP Ultimate Recipe Premium
- Fix: Inability to determine max content width with Auto Resize CDN feature
- Fix: Directory Smush not resetting errors on successful scans
- Fix: Lazy loading spinning image containers
- Fix: PHP notice on lazy loading settings page
- Fix: Subsites showing settings pages when network wide options enabled
- Fix: PHP warning on 2.x - 3.x upgrade in network installs
- Fix: CDN not processing the image tag if src does not contain a valid image
- Fix: Lazy loading URL exclude rules
- Fix: URL exclusion rules in lazy loading

= 3.2.0.2 =

- New: Add "Update API status" button in Settings
- Enhance: API key validation
- Fix: CDN displaying incorrect usage data

= 3.2.0.1 =

- Fix: CDN upgrade link not showing when bandwidth is over limit

= 3.2.0 =

- New: Image lazy loading
- New: CDN support for mapped domains in multisite
- New: Auto update free version of the plugin to Pro if Dashboard plugin is installed and activated
- New: Options to preserve settings and data on plugin uninstall
- New: Option to reset settings to defaults
- New: Ignore images with errors during bulk Smush
- Enhance: Performance
- Enhance: Clean up outdated and deprecated code
- Enhance: Onboarding experience
- Enhance: Skip auto resized images on CDN from highlighting in image resize detection tab
- Enhance: Directory Smush where wp-content is placed in a custom location
- Fix: [NextGEN Gallery] bug with stats count
- Fix: Translation strings and typos
- Fix: wp_smush_skip_folder filter
- Fix: Recalculate stats when clicking 'Re-check status' button
- Fix: Illegal string offset 'file' warning in PHP

= 3.1.1 =

- Fix: Auto Smush in Gutenberg
- Fix: Image backup in Gutenberg

= 3.1.0 =

- New: Onboarding experience for new installs
- New: WP CLI support for bulk/single image Smush and bulk restore
- New: Color accessibility settings
- New: Compatibility with Beaver Builder
- Enhance: CDN image detection
- Enhance: Compatibility with Hustle
- Enhance: Add upgrade link in Plugins section for the free version
- Enhance: Remove activation tooltips
- Enhance: CSS for highlighting incorrectly sized images
- Enhance: Preserve stats during options updates
- Enhance: CDN will now only accept JPG/PNG/GIF images - no more warnings in browser console
- Enhance: Support for Edge browser (and some older browser versions)
- Fix: Browser console errors with CDN auto resizing and webp images
- Fix: Directory Smush errors on subsites in multisite environments
- Fix: Fix CDN not enabling on subsites in multisite
- Fix: JavaScript error during bulk Smush on free version of the plugin

= 3.0.2 =

- Enhance: Support for WordPress 5.0 release and Gutenberg editor
- Fix: [WP Offload Media] integration with Pro version
- Fix: PHP warning on update from Smush version 2 to version 3

= 3.0.1 =

- Security: Remove support for Upfront theme functions

= 3.0.0 =

- New: Smush CDN
- New: Webp support with CDN
- New: Auto image resize when using CDN
- New: Plugin structure (Important: plugin globals have been removed)
- New: Show failure reason during directory Smush
- New: Settings page with language translation links
- Security: Fix XSS vulnerability
- Security: Fix phar deserialization vulnerability (thanks @ripstech)
- Enhance: Better handling of animated GIFs. Improve performance.
- Enhance: Update translation strings
- Enhance: Clean out all the leftover data on plugin uninstall
- Enhance: Directory Smush modal: support keyboard navigation
- Enhance: Directory Smush modal: navigate to next node by typing the first letters
- Enhance: [WPML] PNG to JPEG conversion in media translations
- Fix: Directory Smush resume button only working when clicked on icon
- Fix: Errors during image re-check
- Fix: Meta values are deleted when an image is skipped using wp_smush_image filter.
- Fix: [WP Offload Media] Backward compatibility errors
- Fix: [WP Offload Media] Warnings when certain attachment sizes are excluded from compression
- Fix: [WP Offload Media] Errors during is_animated check with images stored on S3
- Fix: [WooCommerce] Compatibility issue with WooCommerce 3.5

= 2.9.1 =

- Fix: Errors during update from Free to Pro

= 2.9.0 =

- New: Incorrect image size detection
- New: Pointers for new installs
- New: Show a list of errors (if present) after bulk Smush
- Enhance: Remove activation redirection
- Fix: Compatibility with Enhanced Media Library
- Fix: Layout inconsistencies
- Fix: Remove duplicate queries
- Fix: User profile languages not properly applying to Smush
- Fix: Translation strings
- Fix: Smush full sized images when image dimensions are smaller than the largest thumbnail
- Fix: Directory Smush will not get stuck when an image encounters an error during compression
- Fix: Support for the latest Gutenberg version
- Fix: Allow blog admins in network installs to manage site Smush options
- Fix: Stats not showing after Smushing in media library

= 2.8.2 =

Fix: Compatibility issues with latest WP Offload Media (WP Offload S3) update

= 2.8.1 =

- New: Directory Smush UI/UX
- New: Directory Smush updated library
- New: Directory Smush ability to select multiple directories
- New: Directory Smush ability to deselect certain images in directories
- New: Integration with Gutenberg image block
- Enhance: Bulk Smush UI
- Enhance: Update GDPR policy text
- Enhance: Do not auto resize animated GIF images to preserve animation
- Enhance: Performance improvements, remove duplicate queries
- Fixed: Stats reset for Smushed directories when selecting Super-smush option
- Fixed: Pro status cached bug
- Fixed: Quick setup modal missing image dimensions for image resize option

= 2.8.0.1 =

- Fixed: Smush causing media uploads to not function properly (in rare conditions)

= 2.8.0 =

- New: High-power API cluster for Smush Pro users
- New: Updated and improved UI/UX
- New: Stats meta box
- Enhance: Smush will have it's own section in the GDPR policy, instead of appending to the end of the policy text
- Enhance: Compatibility with AJAX Thumbnail Rebuild and ACF plugins
- Enhance: Add support for image/x-png and image/x-citrix-jpeg mime types
- Fixed: File size not updated inside the attachment details modal during Smush/restore of an image
- Fixed: Directory Smush using mobile
- Fixed: Smush progress during feature image upload
- Fixed: Image width and height converted to string in async request
- Fixed: Warnings on PHP 5.2
- Fixed: Warnings on PHP 7.1
- Fixed: Fixed wrong method name in S3 offload class. Thanks Tedy Warsitha
- Fixed: Issues when editing image attributes in the media library
- Fixed: Missing translation strings

= 2.7.9.2 =

- Fixed: Critical Error: Ajax returns Error 500 on media library in WP Offload S3

= 2.7.9.1 =

- Fixed: Conflict with front-end editors

= 2.7.9 =

- Update:
    - Smush settings moved to separate top level page in dashboard ( Smush/Smush Pro )
    - Added Privacy Policy content for Smush in Privacy Policy Guide

- Fixed:
    - Conflict with plugin Download Manager, Embed any document, Getty
    - Settings link incorrect for sub sites
    - Don't load smush settings in front-end
    - Increase php memory limit only if lesser than required
    - Display a warning if custom table isn't created
    - Attachment details not being displayed when uploading image in post edit screen
    - Compatibility with WP Offload S3 latest version
    - Directory Smush skips 1 image for every iteration of 50 images ( Free version )
    - Nextgen Gallery Stats not updated properly ( Pro Version )
    - Added instructions for Resize Image feature - It works independent of Auto Smush, If "Automatic Smush" is off and
      "Resize my full size image" is kept on, the image would be resized
    - Smush button doesn not appears in Media Modal window for Ultimate Branding
    - NextGen Integration: Smush stats not updated after image deletion
    - Warning/Error for settings on initial setup

- Integrations:
    - Updated WP Offload S3 integration to smush images with Cloudfront enabled

= 2.7.8 =

- Includes changes from update 2.7.7 and a fix for JS errors in custom posts screen disabling post editor tabs

- Updates:
    - Minor UI Changes ( Accessibility Fixes )
    - PNG to JPG: Iterate over rows while URL replacement to make sure all the occurrences are updated

- Fixed:
    - Skip button doesn't skips images
    - Show updated smush status in Media Grid attachment modal
    - Font issue in WordPress backend for Ubuntu systems
    - Fatal Error: get_current_network
    - Async Smush not working for subdirectory sites
    - File backups were not being created for Auto Smush if Async smush is disabled

= 2.7.6 =

- Security: Fixed path traversal vulnerability. Thanks Ricardo Sánchez(@neorichi) for responsible disclosure.

= 2.7.5 =

- Updated:
    - UI/UX has been updated for Bulk Smush page

- Fixed:
    - Start from latest image while Bulk Smushing
    - S3 config error if AWS keys are defined in wp-config.php
    - NextGen smush page not working properly
    - Do not redirect to settings page on activation if WP CLI is installed

= 2.7.4.1 =

- Fixed:
    - `get_current_screen()` method causing error on some sites

= 2.7.4 =

- Update: Minor UI changes
- Fixed:
    - Images not being resized when image is uploaded via Mobile App
    - Notices and Warnings
    - S3 offload Integration - Original Image not being deleted in some cases

= 2.7.3.1 =

- Fixed: Pro user unable to login to WPMU DEV Dashboard plugin when Smush is active, Error: "Your key is invalid."
- Updated: S3 Integration, return URL for any error, 'as3cf_get_attached_file'

= 2.7.3 =

- Fixed:
    - Manual Smush not working
    - Bulk Smush broken for few sites

= 2.7.2 =

- Updated:
    - Use JS for stats calculation while using Bulk Smush, to reduce the Ajax time
- Fixed:
    - Some Images would keep appearing in the re-smush list, if "Resize original images" is enabled
    - Enable buttons in settings redirects to network smush settings page in a subsite if networkwide settings are enabled

= 2.7.1 =

- Fixed: Progress bar not updating

= 2.7 =

- Updated:
    - Faster image uploads: Set async request timeout to 0, if you're having trouble with Auto Smush, set timeout using filter `smush_async_time_out`

- Fixed:

    - Issue with WP Smush Pro membership check
    - Stats: Rating message shows incorrect image count
    - Stats: Include directory smush stats in media stats
    - Directory Smush: UI improvement
    - Directory Smush: Allow re-smushing directory images, if the lossy feature is turned on
    - Directory Smush: Fixed empty query warning if there are more than 5k images
    - Site Ground Staging - Disable Async smush for staging sites, admin URL for async request is incorrect because of the Apache module
    - Image appearing in Re-Smush list even after smushing, if resize settings are kept on.
    - Performance: Updated query for smushed images count
- Added:
    - WP S3 Offload - Plugin Compatibility for Remove files from server feature ( Pro Version )
    - WP RSS Aggregator compatibility for Auto Smush
    - WordPress mobile app Auto smush compatibility

= 2.6.3 =

- Fixed:

    - Compatibility issue with WP Defender
    - Image dimensions not updated after resizing in Grid view

- Added:

    - Added a check to preserve smush stats on plugin deletion, You can add `define('WP_SMUSH_PRESERVE_STATS', true );` in wp-config.php

= 2.6.2 =

- Added:
    - WP All Import Compatibility

- Fixed:
    - Image not being updated to S3 after resmush ( Only if remove files from server is kept off in S3 plugin settings )
    - Added check for directory smush savings
    - Call `wp_update_attachment_metadata` after smushing, to allow the optimised image to be used
    - Dir Smush: Images with special symbols doesn't gets optimised
    - Dir Smush: Skip .bak files
    - Retina Images @2x: Do not smush if auto smush is disabled
    - Backup ( Pro ): Take backup of original untouched image, improved backup and restore.

- Updated:
    - Smush Limit ( 50 Images ), do not include images with error in count

= 2.6.1 =

- Fixed:
    - PHP 5.2 compatibility
    - DB error: Use a smaller value for Path Index size ( Prefix Indexes )
    - Updated translation function name
    - UI/UX fixes for directory smush
    - Improved optimisation process for directory smush
    - Updated uninstall.php
    - Skip sites directory from Directory Smush in a Multisite

= 2.6 =

- Fixed:
    - PHP 7 warning ( https://goo.gl/GKEMim ), @props: @alexis-mag
    - Async Smush conflict with other plugins

- Changes:
    - Moved notice JS/CSS in footer
    - Bulk Smush page optimisation
    - Increased timeout for Async request - Fixes Async smush not working for some hosting services

- Added:
    - Directory Smush ( Pro Feature )

= 2.5.3 =

- Fixed:
    - Show a Smush progress message in Grid view for Auto Smush
      ( A lot of people reported it as Auto Smush not working, which works in background though )
    - Translation domain was incorrect for few strings
    - Translation: Load translation domain in main plugin file
    - Include image size `medium_large` in smush list
    - Error: Cannot use string offset as an array
    - Error in PNG to JPG conversion ( Pro Feature ), added check for mime_content_type function
    - Pro Status not recognised

= 2.5.2 =

- Added:
    - Filter: `wp_smush_image`, Boolean, Whether to Smush image or not
    - Async Optimisation for Auto Smush on upload ( Set WP_SMUSH_ASYNC to false to turn off async optimisation )
    - Networkwide settings option in a Multisite

- Fixed:
    - Double slash in file path causing 403 on some of the sites
    - Localisation error reported by @talgat ( Thank You :) )

= 2.4.5 =

- Fixed:
    - Error "No file content sent" with WP 4.6

= 2.4.4 =

- Fixed:
    - Stats Calculation, Use custom query to retrieve data
    - Fixed warning and notices
    - PNG to JPEG conversion not working for Multisite ( Pro Users )
    - thumbnails not being converted for PNG to JPEG conversion
- Removed option to convert Transparent PNGs to JPEGs ( Pro Users )
- Added check for invalid membership

= 2.4.3 =

    - Fixed:
        - Image resizing not working on image upload

= 2.4.2 =

    - Fixed:
        - PHP 5.2 compatibility

= 2.4.1 =

- Fixed:
    Conflict with customizer

= 2.4 =

- Compatibility:
    - WPML Media Add-on compatibility, you can smush all the images for all the languages at once from Bulk Smush page

- Features:
    - Added PNG to JPG - Lossy Conversion for higher savings ( Pro Feature )

-Fixed:
    - EXIF: Device details were left out for some images, even when opted for stripping it

- Updated:
    - Minor Tweaks on WP Smush Page ( Bulk Smush )
    - Stats calculation is more accurate
    - Show current image size and image size dimensions in media library after image has been smushed
    - JPEG optimisation - higher savings for JPEGs lossy optimisation ( Pro Feature )

= 2.3.1 =

- Fixed:
    - Stats not updated on resizing images
    - CSS conflict in Media Library

= 2.3 =

- Fixed:
    - Tooltip on image edit page
    - Warning and Notices
- Updated:
    - Improved stats calculation
    - Bulk Smush page optimised for Image heavy sites
    - Cleanup on uninstall
- Added:
    - Image Resizing option for Media, NextGen(Pro Only) images
    - Total image count on stats page

= 2.2.2 =
- Fixed: JS error causing issue with Editor on some installs, plugin conflict with CoursePress plugin, ACF ( Clear All Caches after plugin upgrade, Cloudflare as well )
- Fixed: ReSmush count for bulk smushing
- Fixed: Smush settings accessibility for Screen reader/Keyboard
- Fixed: WP Admin loading slow ( Load smush stats on required admin pages only )

= 2.2.1 =
- New: Option to resmush image if settings are changed after optimising images
- New: Added an option to preserve EXIF
- New: Remove Smush meta on image regeneration,
       This allows user to manually smush them later, if auto smush is off ( WP Image Editor support )
- New: Manual Image restore option for Media Library and NextGen Gallery, if "Backup Original Images" was kept on while smushing ( Pro Only )
- New: Delete Backup Files (Pro Only) on attachment deletion
- Updated: Upfront Integration
- Fixed: jQuery tooltip conflict
- Code Optimisation, Updated Settings page UI

= 2.1.5 =
- Fixed: WP Media Folder Plugin compatibility
- Fixed: Warning on Plugins Page
- Updated: Settings Page styling

= 2.1.4 =
- Fixed: Preserve file permission after smushing ( Fix for Images disappearing in Media library on some hosts )
- Fixed: Styles plugin compatibility
- Fixed: Append URL params considering the existing arguments ( WPML Compatibility )
- Fixed: Warning: For settings link in Network admin, Warning: https://goo.gl/HAfhaF ( Thank you @Maks3w for suggestions )
- Fixed: Fatal error if both pro version and free version are activated
- Fixed: NextGen-Smush conflict on plugin activation on a fresh install

= 2.1.3 =
- Fixed: Compatibility with v4.0 of our Dashboard plugin, was not detecting pro status

= 2.1.2 =
- Fixed: Important fix for transient issue leading to mutliple api requests

= 2.1.1 =
- Fixed: Workaround for terrible bug in W3TC file based object caching

= 2.1 =

- Fixed: Untranslatable strings in settings
- Fixed: Increased is_pro() API timeouts
- Fixed: Remove redundant _get_api_key() cache check
- Fixed: Some PHP notices on fresh installs
- Fixed: Bulk Smush button keeps spinning after 50 images for free version
- Fixed: NextGen Bulk Smush button issue
- Fixed: Invalid header issue
- Fixed: Warnings in file functions
- Updated: Added limit on query results, for sites with higher image count, Use filter `wp_smush_media_query_limit` to adjust values
- Added: Sortable WP Smush column in Media Library
- Added: Filters `wp_smush_media_image` for Media Gallery, `wp_smush_nextgen_image` For NextGen gallery,
          allows to skip a particular image size from smushing
- Added: NextGen Gallery support

= 2.0.6.5 =

- Updated: Skip webp images ( causing ajax error for few sites )
- Fixed: Warning and Notices ( Media Library not loading )
- Fixed: Smush full size image if no other sizes are available
- Added: Detailed text for stats and settings

= 2.0.6.3 =

- Fixed: Change File permission after replacing image
- Fixed: Directory path for files
- Fixed: Workaround for Auto Smush issue on Hostgator
- Fixed: Smush button doesn't works in media library dialog on post screen, when add media is clicked
		 (https://wordpress.org/support/topic/like-wp-smush-a-lot)
- New:   Show number of images smushed in stats column
- Added: Support for WP Retina 2x Plugin
- Added: Filter `WP_SMUSH_API_TIMEOUT` to change the default time out value from 60s
- Added: Smush original image option (Pro Only)

= 2.0.6.2 =

- Use string for text domain instead of PHP Constant ( WordPress Guideline )

2.0.6.1 - 2015-05-20 - Umesh Kumar

- Updated: Max image size set to 32Mb for Pro Version

2.0.6 - 2015-05-20 - Umesh Kumar

- Fixed: Conflict with various themes while editing post and page
- Fixed: Word Count not working
- Fixed: Notice and Warnings

2.0.5 - 2015-04-17 - Aaron Edwards, Sam Najian, Umesh Kumar

- New:   Allow Super-smush for existing smushed images
- Fixed: IMPORTANT - broken transient caching for is_pro
- Fixed: Fixed conflict with wp gallery link plugin in grid view
- Fixed: Other small fixes

2.0.4 - 2015-04-14 - Aaron Edwards, Umesh Kumar

- Fix: Fatal error conflict with some plugins on fronted of site

2.0.3 - 2015-04-14 - Aaron Edwards, Sam Najian and Umesh Kumar
----------------------------------------------------------------------

- Complete rewrite to use WPMU DEV's new fast and reliable API service.
- New: "Super-Smush" your images with our intelligent multi-pass lossy compression. Get >60% average compression with almost no noticeable quality loss!
- New: Keep a backup of your original un-smushed images in case you want to restore later.
- UX/UI updated with overall stats, progress bar.

1.1.1 - 2015-03-27 - Umesh Kumar
----------------------------------------------------------------------
- Updated: Use simplified meta queries

1.1 - 2015-03-27 - Umesh Kumar
----------------------------------------------------------------------
- New:     New API Servers added for faster optimization
- Fixed:   PHP warning for broken files

1.0.3.1 - 2015-03-26 - Umesh Kumar
----------------------------------------------------------------------
- New:     Suggest manual smushing for smaller bulk request
- New:     Allow media sorting in list view as per smush status
- Updated: Bulk smush query
- Updated: Wait time estimation

1.0.3 - 2015-02-27 - Umesh Kumar
----------------------------------------------------------------------
- New:   Added constant 'WPMUDEV_APIKEY', to specify WPMU membership key explicitly
- Fixed: Plugin activation issue in Multisite
- Fixed: Decode URLs received from API to remove any encoded characters

1.0.2 - 2015-02-03 - Umesh Kumar
----------------------------------------------------------------------
- Fixed: Use options instead of transient to fix W3TC object caching issue
- New:   Modify email address for bulk smush notification

1.0.1 - 2015-01-01 - Umesh Kumar
----------------------------------------------------------------------
- New:      CDN, suggestion to whitelist IP
- New:      Use Ajax to check API status
- New:      Limit concurrent pending single smush to 1000, to avoid hogging up of server resources
- Fixed:    Db cleanup on uninstall
- Fixed:    Remove unnecessary meta on install
- Fixed:    Request status for removed bulk requests
- Updated:  Allowed file types (JPEF, PNG, GIF )
- Updated:  Wait Time reduced


1.0 - 2014-11-24 - Saurabh Shukla, Umesh Kumar
----------------------------------------------------------------------
- First release



709598-1602251249-ai